.window-warning {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
}

.window-warning-overlay {
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 20%);
    position: absolute;
    top: 0;
    left: 0;
}

.window-warning-block {
    border-radius: 16px;
    background-color: #F6F6F6;
    position: relative;
    max-width: 480px;
    width: calc(100% - 34px);
    padding: 32px 32px;
    transform: scale(.5);
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease;
}

.window-warning-block.show {
    transform: scale(1);
    opacity: 1;
    visibility: visible;
}

.window-warning-title {
    color: var(--night-sky, #232F47);
    font-family: Manrope;
    font-size: 19px;
    font-style: normal;
    font-weight: 700;
    line-height: 140%;
    text-align: center;
    margin-bottom: 16px;
}

.window-warning-content {
    color: var(--night-sky, #232F47);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
}

.warning-confirm {
    border-radius: 6px;
    border: 1px solid var(--night-sky, #232F47);
    background-color: var(--night-sky, #232F47);
    color: var(--white, #FDFDFD);
    font-family: Manrope;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 140%;
    min-height: 38px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 6px 20px;
    min-width: 70px;
    cursor: pointer;
    transition: all .3s ease;
}

.warning-confirm.loading {
    position: relative;
    overflow: hidden;
    pointer-events: none;
}

.warning-confirm.loading:before {
    content: "";
    background-image: url('../images/loading.svg');
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-size: 52px;
    background-repeat: no-repeat;
    background-position: center;
    background-color: rgb(0 0 0 / 38%);
    backdrop-filter: blur(3px);
}

.window-warning-buttons {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
    column-gap: 16px;
    row-gap: 16px;
    margin-top: 16px;
}

.warning-close {
    border-radius: 6px;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--night-sky, #232F47);
    font-family: Manrope;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 140%;
    min-height: 38px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 6px 20px;
    min-width: 70px;
    cursor: pointer;
    transition: all .3s ease;
}

.warning-confirm:hover {
    background-color: var(--light-blue, #379BFB);
    border-color: var(--light-blue, #379BFB);
}

.warning-close:hover {
    color: var(--red, #FF0734);
}